org.apache.jmeter.rmi

## Class SSLRMIServerSocketFactory

- java.lang.Object
- - org.apache.jmeter.rmi.SSLRMIServerSocketFactory

- All Implemented Interfaces:
    java.io.Serializable, java.rmi.server.RMIServerSocketFactory

      public class SSLRMIServerSocketFactory
      extends java.lang.Object
      implements java.rmi.server.RMIServerSocketFactory, java.io.Serializable

  Implementation of `RMIServerSocketFactoryImpl` that:
  - Binds socket to an address
  - Establishes SSL connection
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLRMIServerSocketFactory(java.net.InetAddress pAddress)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket(int port)`
    `void` | `setAlias(java.lang.String alias)`
    `void` | `setKeystore(java.lang.String location, java.lang.String type, java.lang.String password)`
    `void` | `setNeedClientAuth(boolean clientAuth)`
    `void` | `setTruststore(java.lang.String location, java.lang.String type, java.lang.String password)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLRMIServerSocketFactory

          public SSLRMIServerSocketFactory(java.net.InetAddress pAddress)

  - ### Method Detail

    - #### setNeedClientAuth

          public void setNeedClientAuth(boolean clientAuth)

    - #### setKeystore

          public void setKeystore(java.lang.String location,
                                  java.lang.String type,
                                  java.lang.String password)

    - #### setTruststore

          public void setTruststore(java.lang.String location,
                                    java.lang.String type,
                                    java.lang.String password)

    - #### setAlias

          public void setAlias(java.lang.String alias)

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Specified by:
        `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.